MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026690Open CASCADE[OCCT] OCCT:Codingpublic2015-09-15 15:522016-04-20 15:48
Reporterbugmaster 
Assigned Tobugmaster 
PriorityhighSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026690: Problem of compilation on imac monoblock
DescriptionCompilation on imac monoblock causes errors:
Linking CXX shared library ../../mac64/clang/lib/libTKViewerTest.dylib
Undefined symbols for architecture x86_64:
  "parseOnOff(char const*, unsigned int&)", referenced from:
      TextToBRep(Draw_Interpretor&, int, char const**) in ViewerTest_ObjectCommands.cxx.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [mac64/clang/lib/libTKViewerTest.dylib] Error 1
make[1]: *** [src/TKViewerTest/CMakeFiles/TKViewerTest.dir/all] Error 2
make: *** [all] Error 2
bash-3.2$ clang --version
Apple LLVM version 6.1.0 (clang-602.0.53) (based on LLVM 3.6.0svn)
Target: x86_64-apple-darwin14.5.0
Thread model: posix
Problem is reproduced both cmake generated by WOK and original cmake.
On mac-mini problem is not reproduced
bash-3.2$ clang --version
Apple LLVM version 5.1 (clang-503.0.40) (based on LLVM 3.4svn)
Target: x86_64-apple-darwin13.3.0
Thread model: posix



Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024272closedski Provide basic text formatting routines for Font_BRepFont 

-  Notes
(0045650)
kgv (developer)
2015-09-15 16:10

inline Standard_Boolean parseOnOff (Standard_CString  theArg,
                                    Standard_Boolean& theIsOn)
...
extern Standard_Boolean parseOnOff (Standard_CString  theArg,
                                    Standard_Boolean& theIsOn);

Please consider moving parseOnOff() declaration to ViewerTest::ParseOnOff() as static method.
(0045651)
git (administrator)
2015-09-15 16:36

Branch CR26690 has been created by isk.

SHA-1: 82e4c8a6e1dbc779046575ac8d2c30da53d2c769


Detailed log of new commits:

Author: isk
Date: Tue Sep 15 16:36:50 2015 +0300

    0026690: Problem of compilation on imac monoblock
(0045680)
isk (developer)
2015-09-16 08:56

Dear Kirill,
Please review the branch CR26690.
(0045682)
kgv (developer)
2015-09-16 09:13

Please check compilation.
(0045725)
apv (tester)
2015-09-16 17:09

Dear BugMaster,

Branch CR26690 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 82e4c8a6e1dbc779046575ac8d2c30da53d2c769

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)
(0045747)
bugmaster (administrator)
2015-09-17 10:03

OCCT and Products have been compiled on all platforms including imac monoblock.
There are no problems of compilation.
(0046955)
git (administrator)
2015-10-16 16:28

Branch CR26690 has been deleted by kgv.

SHA-1: 82e4c8a6e1dbc779046575ac8d2c30da53d2c769

- Related Changesets
occt: master a5565a3c
Timestamp: 2015-09-15 13:36:50
Author: isk
Committer: bugmaster
Details ] Diff ]
0026690: Problem of compilation on imac monoblock
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-15 15:52 bugmaster New Issue
2015-09-15 15:52 bugmaster Assigned To => kgv
2015-09-15 16:05 bugmaster Project OCCT => Open CASCADE
2015-09-15 16:07 kgv Relationship added child of 0024272
2015-09-15 16:08 kgv Assigned To kgv => isk
2015-09-15 16:08 kgv Status new => assigned
2015-09-15 16:08 kgv Product Version 7.0.0 =>
2015-09-15 16:10 kgv Note Added: 0045650
2015-09-15 16:36 git Note Added: 0045651
2015-09-16 08:56 isk Note Added: 0045680
2015-09-16 08:56 isk Assigned To isk => kgv
2015-09-16 08:56 isk Status assigned => resolved
2015-09-16 08:56 isk Steps to Reproduce Updated View Revisions
2015-09-16 09:13 kgv Note Added: 0045682
2015-09-16 09:13 kgv Assigned To kgv => bugmaster
2015-09-16 09:13 kgv Priority normal => high
2015-09-16 09:13 kgv Severity major => trivial
2015-09-16 09:13 kgv Status resolved => reviewed
2015-09-16 13:11 apv Assigned To bugmaster => apv
2015-09-16 17:08 apv Test case number => Not needed
2015-09-16 17:09 apv Note Added: 0045725
2015-09-16 17:09 apv Assigned To apv => bugmaster
2015-09-16 17:09 apv Status reviewed => tested
2015-09-16 17:22 bugmaster Status tested => feedback
2015-09-17 10:03 bugmaster Note Added: 0045747
2015-09-17 10:03 bugmaster Status feedback => tested
2015-09-18 13:31 bugmaster Changeset attached => occt master a5565a3c
2015-09-18 13:31 bugmaster Status tested => verified
2015-09-18 13:31 bugmaster Resolution open => fixed
2015-10-16 16:28 git Note Added: 0046955
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker